import * as $dara from '@darabonba/typescript';
import { CreateCapacityReservationResponseBody } from "./CreateCapacityReservationResponseBody";
export declare class CreateCapacityReservationResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateCapacityReservationResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
